////////////////////////////////////////////////////
// lcount.c - Count the non-blank lines in a project
// Copyright Joe Kopena 1998
// I am not liable for anything bad that goes on as
// a result of your using this, though I doubt anything
// will. I hope :)
////////////////////////////////////////////////////

#include <stdio.h>
#include <conio.h>

int count = 0;

int getNextChar(char *line);

int main(int argc, char *argv[]) {
int i;
FILE *fp;
char line[255];

   for (i = 1; i < argc; i++) {
       if (!(fp = fopen(argv[i], "rt"))) {
          fprintf(stderr, "Could not open '%s'!\n", argv[i]);
          return -1;
       }

       do {

         if (fgets(line, 255, fp)) {
//            fprintf(stderr, line);

            if (line[getNextChar(line)])  // If the line isn't blank, count it
               count++;
         }

       } while (!feof(fp));

       fclose(fp);
   } // for i

   printf("Files counted: ");
   for (i = 1; i < argc; i++)
       printf("%s ", argv[i]);
   printf("\nLines counted in all (non-blank): %i\n", count);
   getch();

// end main
return 0;
}

//////////////////////////////////////////////////////////////
int getNextChar(char *line) {
int i = 0;

   // Skip white space! Heehee!

   while (line[i] && (isspace(line[i])))
         i++;

// end getNextChar
return i;
}

